## ros-jazzy-stereo-image-proc 5.0.1

=== debian/changelog ===
ros-jazzy-stereo-image-proc (5.0.1-3bookworm) bookworm; urgency=high

  * DisparityNode: replace full_dp parameter with sgbm_mode (#945 <https://github.com/ros-perception/image_pipeline/issues/945>)
    Previously, only the SGBM and HH modes were allowed
  * unified changelog, add missing image, deduplicate tutorials (#938 <https://github.com/ros-perception/image_pipeline/issues/938>)
    Last bit of documentation updates - putting together a single changelog
    summary for the whole release (rather than scattering among packages).
    Unified the camera_info tutorial so it isn't duplicated. Added a missing
    image from image_rotate (was on local disk, but hadn't committed it)
  * migrate stereo_image_proc docs (#928 <https://github.com/ros-perception/image_pipeline/issues/928>)
  * QoS improvements for image_proc and stereo_image_proc (#922 <https://github.com/ros-perception/image_pipeline/issues/922>)
    First part of #847 <https://github.com/ros-perception/image_pipeline/issues/847>
    * Add QoS overrides for all publishers (in the new, standard way)
    * stereo_image_proc: Default subscriber QoS to SensorDataQoS
    * Clean up some of the comments around lazy subscribers, make them more
    consistent across nodes
  * Contributors: Michael Ferguson, Pablo David Aranda Rodríguez

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 25 Mar 2024 23:00:00 -0000

ros-jazzy-stereo-image-proc (5.0.0-3bookworm) bookworm; urgency=high

  * stereo_image_proc: cleanup cmake (#904 <https://github.com/ros-perception/image_pipeline/issues/904>)
    This was supposed to be switched over when e-turtle rolled out. J-turtle
    ain't that late...
  * stereo_image_proc: consistent image_transport (#903 <https://github.com/ros-perception/image_pipeline/issues/903>)
    * make image_transport work
    * make remap work as expected with image_transport
    * make subscribers lazy
  * support rgba8 and bgra8 encodings by skipping alpha channel (#869 <https://github.com/ros-perception/image_pipeline/issues/869>)
    Related with the change in ROS 1
    https://github.com/ros-perception/image_pipeline/pull/671/files
    ---------
  * allow use as component or node (#852 <https://github.com/ros-perception/image_pipeline/issues/852>)
    This addresses
    https://github.com/ros-perception/image_pipeline/issues/823:
    * depth_image_proc was never implemented properly this way
    * image_proc might have once worked this way, but it appears upstream
    has changed over time and it was no longer doing the job.
    * stereo_image_proc is actually implemented correctly - I just added a
    comment
    With this PR:
    ```
    $ ros2 pkg executables image_proc
    image_proc crop_decimate_node
    image_proc crop_non_zero_node
    image_proc debayer_node
    image_proc image_proc
    image_proc rectify_node
    image_proc resize_node
    ```
    ```
    $ ros2 pkg executables depth_image_proc
    depth_image_proc convert_metric_node
    depth_image_proc crop_foremost_node
    depth_image_proc disparity_node
    depth_image_proc point_cloud_xyz_node
    depth_image_proc point_cloud_xyz_radial_node
    depth_image_proc point_cloud_xyzi_node
    depth_image_proc point_cloud_xyzi_radial_node
    depth_image_proc point_cloud_xyzrgb_node
    depth_image_proc point_cloud_xyzrgb_radial_node
    depth_image_proc register_node
    ```
  * fix: change type for epsilon (#822 <https://github.com/ros-perception/image_pipeline/issues/822>)
  * add myself as a maintainer (#846 <https://github.com/ros-perception/image_pipeline/issues/846>)
  * Contributors: Alejandro Hernández Cordero, Daisuke Nishimatsu, Michael Ferguson

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Tue, 23 Jan 2024 23:00:00 -0000

ros-jazzy-stereo-image-proc (3.0.1-3bookworm) bookworm; urgency=high

  * Replace deprecated headers
    Fixing compiler warnings.
  * Add support for ApproximateEpsilonTime in stereo_image_proc and disparity_node
  * Forward container namespace from stereo_image_proc -> image_proc (#752 <https://github.com/ros-perception/image_pipeline/issues/752>)
  * Contributors: Brian, Ivan Santiago Paunovic, Jacob Perron

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 03 Dec 2022 23:00:00 -0000

ros-jazzy-stereo-image-proc (3.0.0-3bookworm) bookworm; urgency=high

  * Fix the tests for stereo_image_proc.
  * Cleanup stereo_image_proc
  * Populate CameraInfo camera matrix in test fixture
  * Use with_default_policies
  * Improve formatting
  * Use SubscriptionOptions
  * Add subscriber qos overrides
  * Remove QosPolicyKind::Invalid
  * Allow QoS overrides for publishers
  * Add missing test dependency
  * Add color param to stereo_image_proc (#661 <https://github.com/ros-perception/image_pipeline/issues/661>)
  * changes per comments
  * fix for stereo_image_proc_tests
  * Add maintainer (#667 <https://github.com/ros-perception/image_pipeline/issues/667>)
  * Add disparity node parameters to launch file
  * Fix disparity node parameter name
  * Expose avoid_point_cloud_padding parameter in stereo_image_proc launch file (#599 <https://github.com/ros-perception/image_pipeline/issues/599>)
  * Refactor image_proc and stereo_image_proc launch files (#583 <https://github.com/ros-perception/image_pipeline/issues/583>)
  * Contributors: Audrow Nash, Chris Lalancette, Jacob Perron, Patrick Musau, Rebecca Butler

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 28 Apr 2022 22:00:00 -0000

ros-jazzy-stereo-image-proc (2.2.1-3bookworm) bookworm; urgency=high

  * remove email blasts from steve macenski (#596 <https://github.com/ros-perception/image_pipeline/issues/596>)
  * Refactor stereo_image_proc tests (#588 <https://github.com/ros-perception/image_pipeline/issues/588>)
  * [Foxy] Use ament_auto Macros (#573 <https://github.com/ros-perception/image_pipeline/issues/573>)
  * Contributors: Jacob Perron, Joshua Whitley, Steve Macenski

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 26 Aug 2020 22:00:00 -0000


