=== debian/control ===
Source: ros-jazzy-stereo-image-proc
Section: misc
Priority: optional
Maintainer: Vincent Rabaud <vincent.rabaud@gmail.com>
Build-Depends: debhelper (>= 9.0.0), python3-opencv <!nocheck>, ros-jazzy-ament-cmake-auto, ros-jazzy-ament-cmake-pytest <!nocheck>, ros-jazzy-ament-lint-auto <!nocheck>, ros-jazzy-ament-lint-common <!nocheck>, ros-jazzy-cv-bridge, ros-jazzy-image-geometry, ros-jazzy-image-proc, ros-jazzy-image-transport, ros-jazzy-launch <!nocheck>, ros-jazzy-launch-ros <!nocheck>, ros-jazzy-launch-testing <!nocheck>, ros-jazzy-launch-testing-ament-cmake <!nocheck>, ros-jazzy-message-filters, ros-jazzy-python-cmake-module <!nocheck>, ros-jazzy-rclcpp, ros-jazzy-rclcpp-components, ros-jazzy-rclpy <!nocheck>, ros-jazzy-ros-testing <!nocheck>, ros-jazzy-sensor-msgs, ros-jazzy-stereo-msgs, ros-jazzy-ros-workspace
Homepage: https://index.ros.org/p/stereo_image_proc/github-ros-perception-image_pipeline/
Standards-Version: 3.9.2

Package: ros-jazzy-stereo-image-proc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-jazzy-cv-bridge, ros-jazzy-image-geometry, ros-jazzy-image-proc, ros-jazzy-image-transport, ros-jazzy-message-filters, ros-jazzy-rclcpp, ros-jazzy-rclcpp-components, ros-jazzy-sensor-msgs, ros-jazzy-stereo-msgs, ros-jazzy-ros-workspace
Description: Stereo and single image rectification and disparity processing.
